Subject: Protocol Action: 'The WebSocket Protocol as a Transport for the Message Session Relay Protocol (MSRP)' to Proposed Standard (draft-pd-dispatch-msrp-websocket-15.txt)

From: The IESG <[email-masked]>
Date: Tue, 16 Aug 2016 09:11:31 -0700

The IESG has approved the following document:
- 'The WebSocket Protocol as a Transport for the Message Session Relay
   Protocol (MSRP)'
  (draft-pd-dispatch-msrp-websocket-15.txt) as Proposed Standard

This document has been reviewed in the IETF but is not the product of an
IETF Working Group.

The IESG contact person is Ben Campbell.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-pd-dispatch-msrp-websocket/

Technical Summary

   The WebSocket protocol enables two-way real-time communication
   between clients and servers in situations where direct access to TCP
   and UDP are not available (for example, from within Javascript in a
   web browser).  This document specifies a new WebSocket sub-protocol
   as a reliable transport mechanism between MSRP (Message Session Relay
   Protocol) clients and relays to enable usage of MSRP in new
   scenarios.  This document normatively updates RFC 4975 and RFC 4976.

Working Group Summary

  This document has been reviewed by the DISPATCH WG, although it is not a 
  WG document. Per the DISPATCH process, this document is being progressed 
  as AD sponsored as the protocol to which it relates was developed in a WG that 
  is now closed and the scope of the protocol work in this document was deemed 
  appropriate for AD sponsorship. 

Document Quality

The document has been reviewed by the DISPATCH WG.  Ben Campbell (pre-AD days) 
did an expert review of the document and his comments have been addressed. 

Personnel

Mary Barnes is the document shepherd and Ben Campbell is the responsible AD.